biterp

Criar categoria financeira

POST
/financial-categories
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.biterp.ai/financial-categories" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "type": "revenue"  }'
{
  "id": "string",
  "tenant_id": "string",
  "parent_id": "string",
  "type": "revenue",
  "reference_code": "string",
  "name": "string",
  "code": "string",
  "position": 0,
  "is_locked": true,
  "description": "string",
  "metadata": {},
  "created_by_user_id": "string",
  "updated_by_user_id": "string",
  "deleted_by_user_id": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "deleted_at": "2019-08-24T14:15:22Z"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}